<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package w3layouts
 */

get_header();
?>


<div class="header-fixed-space-height">

</div>


<main id="primary" class="site-main">

  <?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
  <header>
    <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
  </header>
  <?php
			endif;
?>

<!-- /breadcrumbs -->
<?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
<?php if( $BreadcrumbsStatus==1 ){?>
<section class="w3l-breadcrum">
  <div class="breadcrum">
    <div class="container AllBreadcrumbs">
      <p><?php get_breadcrumb(); ?></p>
    </div>
  </div>
</section>
<?php }?>
<!-- //breadcrumbs -->


<section class="w3l-blog">
  <div class="text-element-9 py-5">
    <div class="container py-lg-3 BlogHomeLayout">
      <div class="row grid-text-9">
      
            <?php	$BlogHomePostsLayout=get_theme_mod( "BlogHomePostsLayout");
              // echo 'Article Layout : '.$w3layoutsArticleLayout;
              ?>
              <?php	if($BlogHomePostsLayout=='sidebarleft'){ get_sidebar(); }?>
              <?php
              if($BlogHomePostsLayout!='sidebarnone'){?>

              <div class="col-lg-8 blog-left-view">
                <?php }
                if($BlogHomePostsLayout=='sidebarnone'){?>
                <div class="col-lg-12 blog-left-view">
                <?php }?>


                  <div class="row">

                    <?php
                    /* Start the Loop */
                    while ( have_posts() ) :
                      the_post();

                    /*
                    * Include the Post-Type-specific template for the content.
                    * If you want to override this in a child theme, then include a file
                    * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                    */
                    get_template_part( 'template-parts/content', get_post_type() );

                    endwhile;

                    // the_posts_navigation();

                    else :

                      get_template_part( 'template-parts/content', 'none' );

                    endif;
                    ?>
                </div>
                <!-- pagination -->              
              <nav aria-label="Page navigation example">
                <?php w3layouts_pagination(); ?>
              </nav>
              <!-- //pagination -->
              </div>
        
              <?php 
              // if($BLOGlayoutselected==1){ get_sidebar(); }
              ?>
          
              <?php	if($BlogHomePostsLayout=='sidebarright'){ get_sidebar(); }?>

              


  </div>
</section>
</main>




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>

<!-- script for testimonials -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-two').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: false,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1,
          nav: false
        },
        480: {
          items: 1,
          nav: false
        },
        667: {
          items: 1,
          nav: false
        },
        1000: {
          items: 1,
          nav: false
        }
      }
    })
  })
</script>
<!-- //testimonials owlcarousel -->

<!-- for services carousel slider -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      stagePadding: 20,
      margin: 20,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      nav: false,
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 2
        },
        1000: {
          items: 4
        }
      }
    })
  })
</script>
<!-- //for services carousel slider -->

<!-- stats number counter-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.waypoints.min.js"></script>
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.countup.js"></script>
<script>
  jQuery('.counter').countUp();
</script>
<!-- //stats number counter -->

<!-- disable body scroll which navbar is in active -->
<script>
  jQuery(function () {
    jQuery('.navbar-toggler').click(function () {
      jQuery('body').toggleClass('noscroll');
    })
  });
</script>
<!-- disable body scroll which navbar is in active -->

<!-- Bootstrap JS -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>


<?php }

get_footer(); ?>